package com.hfkj.service.cms;

import com.hfkj.entity.CmsContent;
import org.apache.rocketmq.client.exception.MQBrokerException;
import org.apache.rocketmq.client.exception.MQClientException;
import org.apache.rocketmq.remoting.exception.RemotingException;

import java.util.List;
import java.util.Map;

/**
 * @className: CmsContentService
 * @author: HuRui
 * @date: 2024/9/24
 **/
public interface CmsContentService {

    /**
     * 编辑数据
     * @param data
     */
    void editData(CmsContent data) ;

    /**
     * 上线
     * @param id
     */
    void online(Long id);

    /**
     * 下线
     * @param id
     */
    void offline(Long id);

    /**
     * 详情
     * @param id
     * @return
     */
    CmsContent getDetail(Long id);

    /**
     * 查询列表
     * @param param
     * @return
     */
    List<CmsContent> getList(Map<String, Object> param);

}
